petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESRegisterAll

Registers all of the nonlinear solver methods in the SNES package.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESRegisterAll(void)

Not Collective

### Keywords

SNES, register, all

### See Also

SNESRegisterDestroy()

Level:advanced
Location:src/snes/interface/snesregi.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages